Subject: [TLS] TLS@IETF109: SAAG summary

From: Sean Turner <[email-masked]>
Date: Wed, 18 Nov 2020 00:05:42 -0500

The TLS WG meet Tuesday the 11th of November 2020 from 1430 to 1530 UTC time.

During the WG I-D status update portion of the agenda, it was noted that a normative reference to draft-kucherawy-rfc8478bis might significantly delay publication of draft-ietf-tls-certificate-compression. draft-kucherawy-rfc8478bis is also in the RFC editor’s queue, but has been pulled back because of a late breaking errata [0]. I suggested and Ben, our AD, agreed that a way forward was to refer to RFC 8478 and rely on the the “obsoletes” header for readers to locate the RFC-to-be for draft-kucherawy-rfc8478bis. No objections were raised.

A fix for the lone remaining AD review comment on draft-ietf-tls-dtls-connection-id was proposed (will be modified based on list discussion after the meeting) to tweak the MAC (AtE) input to something similar to approaches for AEAD and EtM. No objections were raised.

Work on ECH (Encrypted Client Hello) continues. Further work remains including WG agreement on “do not stick out” considerations [1] as well as HRR (Hello Retry Request) inconsistencies with RFC 8446 [2]. It was suggested that an interim meeting be held to solely address the “do not stick out” considerations.

There was consensus at the session to use Interoperability Targets as a mechanism for I-Ds with active implementers; this idea is unabashedly stolen from the QUIC WG. tl;dr: the WG would declare a particular I-D the target for an interop event. A wiki, e.g., [3], would be created to list implementations and an interoperability matrix as well as the I-D that is the interoperability target.

spt for the chairs

[0] https://www.rfc-editor.org/errata/eid6303
[1] https://github.com/tlswg/draft-ietf-tls-esni/issues/354
[2] https://github.com/tlswg/draft-ietf-tls-esni/issues/358
[3] https://github.com/tlswg/draft-ietf-tls-esni/wiki/Draft--09-Interop